{
  "codeName" : "Usr2",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK/PSDATAVIEWS/Usr2.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "groupLayout" : "ROW",
  "groupMode" : "AUTO",
  "getGroupPSAppDEField" : {
    "name" : "AUTHOR",
    "codeName" : "Author"
  },
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "logicName" : "数据视图（自动分组）",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
  },
  "getPSAppViewLogics" : [ {
    "eventArg" : "deuiaction1",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1"
    },
    "getPSViewCtrlName" : "dataviewexpbar_dataview_batchtoolbar"
  }, {
    "eventArg" : "deuiaction2",
    "eventNames" : "CLICK",
    "logicTrigger" : "CTRLEVENT",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2"
    },
    "getPSViewCtrlName" : "dataviewexpbar_dataview_batchtoolbar"
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataviewexpbar_dataview_memo1_u37f11a8_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_编辑操作"
    }
  }, {
    "logicTrigger" : "CUSTOM",
    "logicType" : "APPVIEWUIACTION",
    "name" : "dataviewexpbar_dataview_memo1_uc365542_click",
    "getPSAppViewUIAction" : {
      "modelref" : true,
      "id" : "表格界面_删除操作"
    }
  } ],
  "getPSAppViewUIActions" : [ {
    "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "dataviewexpbar_dataview"
  }, {
    "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "dataviewexpbar_dataview"
  }, {
    "name" : "表格界面_编辑操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Edit"
    },
    "uIActionTarget" : "SINGLEKEY",
    "xDataControlName" : "dataviewexpbar_dataview"
  }, {
    "name" : "表格界面_删除操作",
    "getPSUIAction" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "uIActionTarget" : "MULTIKEY",
    "xDataControlName" : "dataviewexpbar_dataview"
  } ],
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE",
    "logicTag" : "dataviewexpbar_dataview",
    "logicType" : "CUSTOM",
    "name" : "dataviewexpbar_selectionchange"
  }, {
    "eventNames" : "LOAD",
    "logicTag" : "dataviewexpbar_dataview",
    "logicType" : "CUSTOM",
    "name" : "dataviewexpbar_load"
  } ],
  "getPSControls" : [ {
    "codeName" : "DataViewExpViewdataviewexpbar_dataview_batchtoolbar",
    "controlType" : "TOOLBAR",
    "hookEventNames" : [ "CLICK" ],
    "logicName" : "数据视图-批操作工具栏",
    "name" : "dataviewexpbar_dataview_batchtoolbar",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/IBIZBOOK.json"
    },
    "getPSControlLogics" : [ {
      "eventArg" : "deuiaction1",
      "eventNames" : "CLICK",
      "logicTag" : "dataviewexpbar_dataview_batchtoolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1_click"
      }
    }, {
      "eventArg" : "deuiaction2",
      "eventNames" : "CLICK",
      "logicTag" : "dataviewexpbar_dataview_batchtoolbar",
      "logicType" : "APPVIEWLOGIC",
      "name" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2_click",
      "getPSAppViewLogic" : {
        "modelref" : true,
        "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2_click"
      }
    } ],
    "getPSControlParam" : {
      "id" : "dataviewexpbar_dataview_batchtoolbar"
    },
    "getPSDEToolbarItems" : [ {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.EDIT"
      },
      "caption" : "编辑",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction1",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction1"
      },
      "getPSSysImage" : {
        "glyph" : "xf044@FontAwesome",
        "cssClass" : "fa fa-edit"
      },
      "getPSUIAction" : {
        "actionTarget" : "SINGLEKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.EDIT"
        },
        "caption" : "编辑",
        "codeName" : "Edit",
        "fullCodeName" : "Edit",
        "name" : "表格界面_编辑操作",
        "getPSSysImage" : {
          "glyph" : "xf044@FontAwesome",
          "cssClass" : "fa fa-edit"
        },
        "predefinedType" : "GRIDVIEW_EDITACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.EDIT"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Edit",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "编辑",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.EDIT"
      },
      "showCaption" : true,
      "showIcon" : true
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "TBB.TEXT.*.REMOVE"
      },
      "caption" : "删除",
      "groupExtractMode" : "ITEM",
      "itemType" : "DEUIACTION",
      "name" : "deuiaction2",
      "noPrivDisplayMode" : 2,
      "getPSAppViewUIAction" : {
        "modelref" : true,
        "id" : "dataviewexpbar_dataview_batchtoolbar_deuiaction2"
      },
      "getPSSysImage" : {
        "glyph" : "xf00d@FontAwesome",
        "cssClass" : "fa fa-remove"
      },
      "getPSUIAction" : {
        "actionTarget" : "MULTIKEY",
        "getCapPSLanguageRes" : {
          "lanResTag" : "TBB.TEXT.*.REMOVE"
        },
        "caption" : "删除",
        "codeName" : "Remove",
        "fullCodeName" : "Remove",
        "name" : "表格界面_删除操作",
        "getPSSysImage" : {
          "glyph" : "xf00d@FontAwesome",
          "cssClass" : "fa fa-remove"
        },
        "predefinedType" : "GRIDVIEW_REMOVEACTION",
        "timeout" : 60000,
        "getTooltipPSLanguageRes" : {
          "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
        },
        "uIActionMode" : "SYS",
        "uIActionTag" : "Remove",
        "uIActionType" : "DEUIACTION"
      },
      "tooltip" : "删除",
      "getTooltipPSLanguageRes" : {
        "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
      },
      "showCaption" : true,
      "showIcon" : true
    } ],
    "modelid" : "68f75dd28b954367cb9b71516d82406e",
    "modeltype" : "PSDETOOLBAR"
  } ],
  "getPSDEDataImport" : {
    "modelref" : true,
    "id" : "DataImport"
  },
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "name" : "author",
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKID",
      "codeName" : "IBIZBOOKId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "IBIZBOOKNAME",
      "codeName" : "IBIZBOOKName"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmstag"
  } ],
  "getPSDEDataViewItems" : [ {
    "getCapPSLanguageRes" : {
      "lanResTag" : "DEF.LNAME.AUTHOR"
    },
    "caption" : "图书作者",
    "dataItemName" : "author",
    "itemType" : "DATAITEM",
    "name" : "AUTHOR",
    "getPSAppDEField" : {
      "name" : "AUTHOR",
      "codeName" : "Author"
    },
    "enableSort" : true
  }, {
    "dataItemName" : "memo1",
    "itemType" : "ACTIONITEM",
    "name" : "memo1",
    "getPSDEUIActionGroup" : {
      "codeName" : "mdCtrlAction",
      "name" : "多数据部件操作列",
      "getPSUIActionGroupDetails" : [ {
        "detailType" : "DEUIACTION",
        "name" : "u37f11a8",
        "getPSUIAction" : {
          "actionTarget" : "SINGLEKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.EDIT"
          },
          "caption" : "编辑",
          "codeName" : "Edit",
          "fullCodeName" : "Edit",
          "name" : "表格界面_编辑操作",
          "getPSSysImage" : {
            "glyph" : "xf044@FontAwesome",
            "cssClass" : "fa fa-edit"
          },
          "predefinedType" : "GRIDVIEW_EDITACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.EDIT"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Edit",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      }, {
        "detailType" : "DEUIACTION",
        "name" : "uc365542",
        "getPSUIAction" : {
          "actionTarget" : "MULTIKEY",
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "codeName" : "Remove",
          "fullCodeName" : "Remove",
          "name" : "表格界面_删除操作",
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "predefinedType" : "GRIDVIEW_REMOVEACTION",
          "timeout" : 60000,
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionMode" : "SYS",
          "uIActionTag" : "Remove",
          "uIActionType" : "DEUIACTION"
        },
        "addSeparator" : false,
        "showCaption" : true,
        "showIcon" : true
      } ]
    },
    "enableSort" : false
  } ],
  "pagingSize" : 10,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "hasWFDataItems" : false,
  "appendDEItems" : true,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : true,
  "enablePagingBar" : true,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "7df8359d40f13e3e8436fdfeafd1845f",
  "modeltype" : "PSDEDATAVIEW"
}